gtkmm: Gtk::Menu_Helpers::ImageMenuElem Class Reference

gtkmm 2.24.5

Public Member Functions | List of all members
Gtk::Menu_Helpers::ImageMenuElem Class Reference
Inheritance diagram for Gtk::Menu_Helpers::ImageMenuElem:
[legend]
Collaboration diagram for Gtk::Menu_Helpers::ImageMenuElem:
[legend]

## Public Member Functions
| ImageMenuElem (ImageMenuItem& child)
| ImageMenuElem (const Glib::ustring& label, Gtk::Widget& image_widget, const CallSlot& slot=CallSlot())
| Create a labeled, non-accelerated MenuItem with a sigc::slot. More...
| ImageMenuElem (const Glib::ustring& label, const AccelKey& key, Gtk::Widget& image_widget, const CallSlot& slot=CallSlot())
| Create a labeled, accelerated MenuItem with a sigc::slot. More...
| ImageMenuElem (const Glib::ustring& label, Gtk::Widget& image_widget, Gtk::Menu& submenu)
| Create a labeled, non-accelerated MenuItem with a submenu. More...
| ImageMenuElem (const Glib::ustring& label, const AccelKey& key, Gtk::Widget& image_widget, Gtk::Menu& submenu)
| Create a labeled, accelerated MenuItem with a submenu. More...
Public Member Functions inherited from Gtk::Menu_Helpers::Element
| Element ()
| Element (MenuItem& child)
| ~Element ()
const Glib::RefPtr< MenuItem >& | get_child () const

## Additional Inherited Members
Public Types inherited from Gtk::Menu_Helpers::Element
typedef sigc::slot< void > | CallSlot
Protected Member Functions inherited from Gtk::Menu_Helpers::Element
void | set_child (MenuItem* pChild)
void | set_accel_key (const AccelKey& accel_key)
Protected Attributes inherited from Gtk::Menu_Helpers::Element
Glib::RefPtr< MenuItem > | child_

## Constructor & Destructor Documentation

## ◆ ImageMenuElem() [1/5]

Gtk::Menu_Helpers::ImageMenuElem::ImageMenuElem | ( | ImageMenuItem& | child | ) |

## ◆ ImageMenuElem() [2/5]

Gtk::Menu_Helpers::ImageMenuElem::ImageMenuElem | ( | const Glib::ustring & | label,
|  | Gtk::Widget& | image_widget,
|  | const CallSlot& | slot = `CallSlot()`
| ) |  |

Create a labeled, non-accelerated MenuItem with a sigc::slot.

Parameters

  label | The menu item's name
  image_widget | The image
  slot | Use sigc::mem_fun() to specify a signal handler

## ◆ ImageMenuElem() [3/5]

Gtk::Menu_Helpers::ImageMenuElem::ImageMenuElem | ( | const Glib::ustring & | label,
|  | const AccelKey& | key,
|  | Gtk::Widget& | image_widget,
|  | const CallSlot& | slot = `CallSlot()`
| ) |  |

Create a labeled, accelerated MenuItem with a sigc::slot.

Parameters

  label | The menu item's name
  key | The accelerator key combination
  image_widget | The image
  slot | Use sigc::mem_fun() to specify a signal handler

## ◆ ImageMenuElem() [4/5]

Gtk::Menu_Helpers::ImageMenuElem::ImageMenuElem | ( | const Glib::ustring & | label,
|  | Gtk::Widget& | image_widget,
|  | Gtk::Menu& | submenu
| ) |  |

Create a labeled, non-accelerated MenuItem with a submenu.

Parameters

  label | The menu item's name
  image_widget | The image
  submenu | The sub menu

## ◆ ImageMenuElem() [5/5]

Gtk::Menu_Helpers::ImageMenuElem::ImageMenuElem | ( | const Glib::ustring & | label,
|  | const AccelKey& | key,
|  | Gtk::Widget& | image_widget,
|  | Gtk::Menu& | submenu
| ) |  |

Create a labeled, accelerated MenuItem with a submenu.

Parameters

  label | The menu item's name
  key | The accelerator key combination
  image_widget | The image
  submenu | The sub menu

The documentation for this class was generated from the following file:

- gtkmm/menu_elems.h